Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck
Class FunctionalTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.mule.tck.AbstractMuleTestCase
                  org.mule.tck.FunctionalTestCase

All Implemented Interfaces:
  junit.framework.Test, org.mule.tck.TestCaseWatchdogTimeoutHandler

Direct Known Subclasses:
  AbstractLoanBrokerTestCase, AbstractScriptConfigBuilderTestCase, DynamicPortTestCase

    public abstract class FunctionalTestCase

extends org.mule.tck.AbstractMuleTestCase

A base tast case for tests that initialize Mule using a configuration file. The default configuration builder used is SpringXmlConfigurationBuilder. To use this test case, ensure you have the mule-modules-builders JAR file on your classpath. To use a different builder, just overload the `getBuilder()` method of this class to return the type of builder you want to use with your test.

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.tck.AbstractMuleTestCase
`org.mule.tck.AbstractMuleTestCase.TestInfo`

Field Summary

Fields inherited from class org.mule.tck.AbstractMuleTestCase
`callbackCalled, CLASSNAME_ANNOTATIONS_CONFIG_BUILDER, DEFAULT_MULE_TEST_TIMEOUT_SECS, IGNORED_DOT_MULE_DIRS, LOCK_TIMEOUT, logger, muleContext, numPorts, ports, PROPERTY_MULE_TEST_TIMEOUT, RECEIVE_TIMEOUT, TEST_MESSAGE, testTimeoutSecs`

Constructor Summary
`FunctionalTestCase()`

Method Summary
`protected ConfigurationBuilder` | `getBuilder()`
`protected Object` | `getComponent(FlowConstruct flowConstruct)` Returns an instance of the service's component object.
`protected Object` | `getComponent(String serviceName)` Returns an instance of the service's component object.
`protected abstract String` | `getConfigResources()`
`protected FunctionalTestComponent` | `getFunctionalTestComponent(String serviceName)` A convenience method to get a type-safe reference to the FunctionTestComponent
`protected InputStream` | `loadResource(String name)`
`protected String` | `loadResourceAsString(String name)`

Methods inherited from class org.mule.tck.AbstractMuleTestCase
`addBuilders, checkPorts, configureMuleContext, createMuleContext, createObject, createObject, createTestInfo, createWatchdog, disposeManager, doSetUp, doTearDown, findFreePorts, getConfigurationResources, getPorts, getSensingNullMessageProcessor, getStartUpProperties, getTestConnector, getTestEvent, getTestEvent, getTestEvent, getTestEvent, getTestEvent, getTestEvent, getTestEventContext, getTestEventContext, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEvent, getTestInboundEvent, getTestInboundEvent, getTestInfo, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestService, getTestService, getTestService, getTestSession, getTestTimeoutSecs, getTestTransactedInboundEndpoint, getTestTransformer, getTriggerableMessageSource, getTriggerableMessageSource, giveTheTestSomeTimeToCleanUpAndThenKillIt, handleTimeout, initialiseObject, initTestTimeoutSecs, isDisabledInThisEnvironment, isDisabledInThisEnvironment, isDisposeManagerPerSuite, isExcluded, isGracefulShutdown, isOffline, isPortFree, isStartContext, registerTestMethod, run, runBare, setDisposeManagerPerSuite, setFailOnTimeout, setName, setStartContext, setUp, suitePostTearDown, suitePreSetUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, runTest, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctionalTestCase

    public FunctionalTestCase()

Method Detail

### getBuilder

    protected ConfigurationBuilder getBuilder()
                                       throws Exception

  Overrides:
    `getBuilder` in class `org.mule.tck.AbstractMuleTestCase`
  Throws:
    `Exception`

### getConfigResources

    protected abstract String getConfigResources()

### getComponent

    protected Object getComponent(String serviceName)
                           throws Exception

  Returns an instance of the service's component object. Note that depending on the type of ObjectFactory used for the component, this may create a new instance of the object. If you plan to set properties on the returned object, make sure your component is declared as a singleton, otherwise this will not work.

  Throws:
    `Exception`

### getComponent

    protected Object getComponent(FlowConstruct flowConstruct)
                           throws Exception

  Returns an instance of the service's component object. Note that depending on the type of ObjectFactory used for the component, this may create a new instance of the object. If you plan to set properties on the returned object, make sure your component is declared as a singleton, otherwise this will not work.

  Throws:
    `Exception`

### getFunctionalTestComponent

    protected FunctionalTestComponent getFunctionalTestComponent(String serviceName)
                                                          throws Exception

  A convenience method to get a type-safe reference to the FunctionTestComponent

  Parameters:
    `serviceName` - service name as declared in the config
  Returns:
    test component
  Throws:
    `Exception`
  Since:
    2.2
  See Also:
    `FunctionalTestComponent`

### loadResourceAsString

    protected String loadResourceAsString(String name)
                                   throws IOException

  Throws:
    `IOException`

### loadResource

    protected InputStream loadResource(String name)
                                throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.